> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paginated Transactions

Get a paginated list of all bulk payment transactions.


## OpenAPI

````yaml GET /api/v3/dashboard/bulk-payments/api/transactions
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/dashboard/bulk-payments/api/transactions:
    get:
      tags:
        - API Bulk Payments
      summary: Get paginated transactions
      operationId: ApiBulkPaymentsController_getTransactions_api/v3
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Items per page
          schema:
            type: number
        - name: status
          required: false
          in: query
          description: Filter by status
          schema:
            type: string
        - name: currency
          required: false
          in: query
          description: Filter by currency
          schema:
            type: string
            enum:
              - KES
              - GHS
              - NGN
              - ZAR
              - ZAR
              - USD
              - XOF
              - ZMW
              - XAF
              - SLE
              - CDF
              - TZS
              - UGX
              - EGP
              - MWK
              - RWF
              - ETB
              - MZN
              - LSL
              - GNF
              - USDT
              - BTC
              - ETH
              - USDC
      responses:
        '200':
          description: Transactions retrieved successfully
      security:
        - bearer: []
components: {}

````